# Uses of Interface
java.awt.event.KeyListener

Packages that use KeyListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of KeyListener in com.sun.java.accessibility.util

Fields in com.sun.java.accessibility.util declared as KeyListener
Modifier and Type
Field
Description
`protected static KeyListener`
AWTEventMonitor.`keyListener`
Deprecated, for removal: This API element is subject to removal in a future version.
This field is unused.
Methods in com.sun.java.accessibility.util with parameters of type KeyListener
Modifier and Type
Method
Description
`static void`
AWTEventMonitor.`addKeyListener​(KeyListener l)`
Adds the specified listener to receive all `KEY` events on each component instance in the Java Virtual Machine when they occur.
`static void`
AWTEventMonitor.`removeKeyListener​(KeyListener l)`
Removes the specified listener so it no longer receives `KEY` events when they occur.

## Uses of KeyListener in java.awt

Classes in java.awt that implement KeyListener
Modifier and Type
Class
Description
`class`
`AWTEventMulticaster`
`AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
Methods in java.awt that return KeyListener
Modifier and Type
Method
Description
`static KeyListener`
AWTEventMulticaster.`add​(KeyListener a, KeyListener b)`
Adds key-listener-a with key-listener-b and returns the resulting multicast listener.
`KeyListener[]`
Component.`getKeyListeners()`
Returns an array of all the key listeners registered on this component.
`static KeyListener`
AWTEventMulticaster.`remove​(KeyListener l, KeyListener oldl)`
Removes the old key-listener from key-listener-l and returns the resulting multicast listener.
Methods in java.awt with parameters of type KeyListener
Modifier and Type
Method
Description
`static KeyListener`
AWTEventMulticaster.`add​(KeyListener a, KeyListener b)`
Adds key-listener-a with key-listener-b and returns the resulting multicast listener.
`void`
Component.`addKeyListener​(KeyListener l)`
Adds the specified key listener to receive key events from this component.
`static KeyListener`
AWTEventMulticaster.`remove​(KeyListener l, KeyListener oldl)`
Removes the old key-listener from key-listener-l and returns the resulting multicast listener.
`void`
Component.`removeKeyListener​(KeyListener l)`
Removes the specified key listener so that it no longer receives key events from this component.

## Uses of KeyListener in java.awt.event

Classes in java.awt.event that implement KeyListener
Modifier and Type
Class
Description
`class`
`KeyAdapter`
An abstract adapter class for receiving keyboard events.

## Uses of KeyListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement KeyListener
Modifier and Type
Class
Description
`class`
`BasicComboBoxUI.KeyHandler`
This listener checks to see if the key event isn't a navigation key.
`class`
`BasicComboPopup.InvocationKeyHandler`
As of Java 2 platform v 1.4, this class is now obsolete and is only included for backwards API compatibility.
`class`
`BasicTableUI.KeyHandler`
This class should be treated as a "protected" inner class.
`class`
`BasicTreeUI.KeyHandler`
This is used to get multiple key down events to appropriately generate events.
Fields in javax.swing.plaf.basic declared as KeyListener
Modifier and Type
Field
Description
`protected KeyListener`
BasicComboBoxUI.`keyListener`
This protected field is implementation specific.
`protected KeyListener`
BasicComboPopup.`keyListener`
This protected field is implementation specific.
`protected KeyListener`
BasicTableUI.`keyListener`
`KeyListener` that are attached to the `JTable`.
`protected KeyListener`
BasicComboBoxUI.`popupKeyListener`
The `KeyListener` listens to events.
Methods in javax.swing.plaf.basic that return KeyListener
Modifier and Type
Method
Description
`protected KeyListener`
BasicComboBoxUI.`createKeyListener()`
Creates a `KeyListener` which will be added to the combo box.
`protected KeyListener`
BasicComboPopup.`createKeyListener()`
Creates the key listener that will be added to the combo box.
`protected KeyListener`
BasicTableUI.`createKeyListener()`
Creates the key listener for handling keyboard navigation in the `JTable`.
`protected KeyListener`
BasicTreeUI.`createKeyListener()`
Creates the listener responsible for getting key events from the tree.
`KeyListener`
BasicComboPopup.`getKeyListener()`
Implementation of ComboPopup.getKeyListener().
`KeyListener`
ComboPopup.`getKeyListener()`
Returns a key listener that will be added to the combo box or null.